import os
import tempfile

class UnixFS:
    @staticmethod
    def rm(filename):
        os.remove(filename)

# Sans intégration
def test_monkeypatche(mocker):
    mocker.patch('os.remove') # Se renseigner sur les mocks dans les tests
    UnixFS.rm('contrôle complet')
    os.remove.assert_called_once_with('contrôle complet')

# Avec intégration

def test_db_with_db():
    with tempfile.NamedTemporaryFile(delete=False) as fp:
        fp.write(b'Bonjour!')
        fp.seek(0)
        assert fp.read() == b'Bonjour!'
        UnixFS.rm(fp.name)
        # Exercice: assert que le fichier a été supprimé.
        # assert not os.access(fp.name)?
        # Regarder os.path aussi.
        # https://docs.python.org/fr/3/library/os.html
